Package com.emc.d2fs.models.x3_content_assist

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.models.x3_content_assist.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.models.x3_content_assist package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.models.x3_content_assist

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X3ContentAssist`
  `createX3ContentAssist()`
  Create an instance of `X3ContentAssist`
  `JAXBElement<X3ContentAssist>`
  `createX3ContentAssist(X3ContentAssist value)`
  Create an instance of `JAXBElement``<``X3ContentAssist``>`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.models.x3_content_assist

- ## Method Details

  - ### createX3ContentAssist

    public X3ContentAssist createX3ContentAssist()
    Create an instance of `X3ContentAssist`

  - ### createX3ContentAssist

    public JAXBElement<X3ContentAssist> createX3ContentAssist(X3ContentAssist value)
    Create an instance of `JAXBElement``<``X3ContentAssist``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``X3ContentAssist``>`